[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPHashObjectList.Remove

Remove first occurrence of a object instance

## Declaration

Source position: contnrs.pp line 317

`public function TFPHashObjectList.Remove(`
`AObject: TObject`
`):Integer;`

## Arguments

`AObject` |  | Object instance to remove from the list.

## Function result

Position of object instance which was removed

## Description

Remove removes the first occurrence of the object instance Item in the list, if it is present. The return value is the location of the removed object instance, or -1 if no object instance was removed.

If OwnsObjects is True, then the object itself is also freed from memory.

## See also

TFPHashObjectList.Delete |  | Delete an object from the list.
TFPHashObjectList.Clear |  | Clear the list
TFPHashObjectList.Extract |  | Extract a object instance from the list